<div class="content">
  <div class="columns column-top">
    <%= link "<  Back", to: Routes.lead_path(@conn, :index), class: "btn link-custom" %>
  </div>
  <div class="columns">
    <div class="column col-8 form-container">
      <%= form_for @changeset, @action, fn f -> %>
        <%= if @changeset.action do %>
          <p class="alert alert-danger">
            Oops, some fields are empty
          </p>
        <% end %>
        <div class="columns">
          <div class="column col-6">
            <div class="form-group">
              <%= label f, :title, class: "form-label" %>
              <%= select f, :title, @title, class: "form-select" %>
              <%= error_tag f, :title %>
            </div>
          </div>
          <div class="column col-6">
            <div class="form-group">
              <%= label f, :first_name, class: "form-label" %>
              <%= text_input f, :first_name, class: "form-input" %>
              <%= error_tag f, :first_name %>
            </div>
          </div>
          <div class="column col-6">
            <div class="form-group">
              <%= label f, :last_name, class: "form-label" %>
              <%= text_input f, :last_name, class: "form-input" %>
              <%= error_tag f, :last_name %>
            </div>
          </div>
          <div class="column col-6">
            <div class="form-group">
              <%= label f, :email, class: "form-label" %>
              <%= text_input f, :email, class: "form-input" %>
              <%= error_tag f, :email %>
            </div>
          </div>
          <div class="column col-6">
            <div class="form-group">
              <%= label f, :phone, class: "form-label" %>
              <%= text_input f, :phone, class: "form-input" %>
              <%= error_tag f, :phone %>
            </div>
          </div>
          <div class="column col-6">
            <div class="form-group">
              <%= label f, :status, class: "form-label" %>
              <%= select f, :status, @statuses, class: "form-select" %>
              <%= error_tag f, :status %>
            </div>
          </div>
          <div class="column col-6">
            <div class="form-group">
              <%= label f, :company, class: "form-label" %>
              <%= text_input f, :company, class: "form-input" %>
              <%= error_tag f, :company %>
            </div>
          </div>
          <div class="column col-6">
            <div class="form-group">
              <%= label f, :department, class: "form-label" %>
              <%= text_input f, :department, class: "form-input" %>
              <%= error_tag f, :department %>
            </div>
          </div>
          <div class="column col-12">
            <div class="form-group">
              <%= label f, :street, class: "form-label" %>
              <%= textarea f, :street, class: "form-input" %>
              <%= error_tag f, :street %>
            </div>
          </div>
          <div class="column col-6">
            <div class="form-group">
              <%= label f, :country, class: "form-label" %>
              <%= select f, :country, @countries, class: "form-select" %>
              <%= error_tag f, :country %>
            </div>
          </div>
          <div class="column col-6">
            <div class="form-group">
              <%= label f, :city, class: "form-label" %>
              <%= text_input f, :city, class: "form-input" %>
              <%= error_tag f, :city %>
            </div>
          </div>
        </div>

        <div class="form-bottom">
          <span class="float-right"><%= submit "Create Lead", class: "btn btn-custom" %></span>
        </div>
      <% end %>
    </div>
  </div>
</div>
